using System;
					
public class Program
{
	public static void Main()
	{
		string [] s = Console.ReadLine().Split();
		int n = int.Parse(s[0]); 
		int m = int.Parse(s[1]); 
		int rezultat = 0;
		rezultat+=(n+m)*2-4+((n-2)*(m-2))/2;
		Console.WriteLine(rezultat);
		Console.ReadLine();
		
	}
}